### org.jfree.layouting.layouter.model

# Class LayoutRoot

- `java.lang.Object`
- - `org.jfree.layouting.layouter.model.LayoutNode`
  - - `org.jfree.layouting.layouter.model.LayoutElement`
    - - `org.jfree.layouting.layouter.model.LayoutRoot`

Implemented Interfaces:
  Serializable

`public class LayoutRoot`
`extends LayoutElement`

The layout root is the document/page representation in the DOM model. It holds the page-wide settings. It is initialized with the document context and will hold all undeclared counters. Unlike all other elements, this root has no layout-context. Any call to this method will result in a Null-value to be returned. On pagebreaks, no new instance needs to be generated - the layout root exists only once.

Author:
  Thomas Morgner

  ## Constructor Summary

  `LayoutRoot()`

  ## Method Summary

  ### Methods inherited from class org.jfree.layouting.layouter.model.LayoutElement

  `detachLayoutContext`, `getCounterValue`, `getLayoutContext`, `getPrevious`, `getString`, `incrementCounter`, `isAlternateOpen`, `isContentsConsumed`, `isCounterDefined`, `openAlternate`, `resetCounter`, `setContentsConsumed`, `setString`

  ### Methods inherited from class org.jfree.layouting.layouter.model.LayoutNode

  `getParent`

## Constructor Details

### LayoutRoot

    public LayoutRoot()